Add Field Request Item
Adds a material line item to an existing field request.
Requires scope: field_requests:write
Authentication
API_KEYstring
API Key authentication via header
Path parameters
id
Field request ID.
Request
This endpoint expects an object.
quantity
Quantity requested. Must be greater than zero.
materialId
ID of the material being requested. Required unless materialVariationId is supplied.
materialVariationId
ID of the specific material variation. Required unless materialId is supplied.
Response
This endpoint returns an object.
id
Unique identifier for the line item.
createdAt
ISO 8601 timestamp when the record was created.
updatedAt
ISO 8601 timestamp when the record was last updated.
material
The material being requested.
variation
The specific material variation being requested.
requestedQuantity
Quantity requested.
receivedQuantity
Quantity received so far. Starts at 0.
status
Fulfillment status of this line. New items start as PENDING.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Rate Limit Error